#include <mof/math/make_matrix.hpp>
#include <iostream>

int main()
{
	using namespace mof::math;
	using namespace std;
	int failed_count = 0;
	
	{
		matrix2 M = make_identity2();
		matrix2 A = matrix2(1, 0, 0, 0, 1, 0);
		if (M != A) {
			failed_count++;
			cerr << "Failed --- make_identity2" << endl;
		}
	}
	

	return failed_count;
}
